# $Id: openslp.spec,v 1.11 2004/07/16 20:08:04 rexdieter Exp $

%define aurox_ver 10.1
%define rel 1

%define pie 1

Summary: OpenSLP implementation of Service Location Protocol V2
Name:	 openslp
Epoch:	 0
Version: 1.2.0
Release: %{aurox_ver}.aur.%{rel}
Group:	 System Environment/Libraries
License: BSD
#URL: 	 http://www.openslp.org/
URL:	 http://sourceforge.net/projects/openslp/
Source:  http://dl.sourceforge.net/sourceforge/openslp/openslp-1.2.0.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Source1: slpd.init
Patch1:	 openslp-1.2.0-optflags.patch

BuildRequires: autoconf automake libtool
BuildRequires: bison flex
#BuildRequires: byacc
BuildRequires: openssl-devel
Obsoletes: openslp-lib

%description
Service Location Protocol is an IETF standards track protocol that
provides a framework to allow networking applications to discover the
existence, location, and configuration of networked services in
enterprise networks.

OpenSLP is an open source implementation of the SLPv2 protocol as defined 
by RFC 2608 and RFC 2614.   

%package devel
Summary: OpenSLP headers and libraries
Group:	Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
Obsoletes: openslp-lib-devel
%description devel
OpenSLP header files and libraries.

%package server
Summary: OpenSLP server daemon
Group:	 System Environment/Daemons
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires(preun): chkconfig /sbin/service
Requires(post): chkconfig
Requires(postun): /sbin/service
%description server
OpenSLP server daemon to dynamically register services.


%prep
%setup -q 

%patch1 -p1 -b .optflags

libtoolize --force
aclocal
autoconf
automake --add-missing

# remove CVS leftovers...
find . -name "CVS" | xargs rm -rf

# remove hard-coded compiler flags: -O3 -Wall
perl -pi -e "s@-O3@@g" configure
#perl -pi -e "s@-Wall@@g" configure


%build

%{?pie:export CFLAGS="-fPIC $RPM_OPT_FLAGS"; export LDFLAGS="-pie"}

%configure \
  --disable-static
# --enable-slpv2-security
# --enable-async-api

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

install -p -D -m755  %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/slpd

# nuke unpackaged/unwanted files
rm -rf	$RPM_BUILD_ROOT/usr/doc
rm -f 	$RPM_BUILD_ROOT%{_libdir}/*.la	


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post server
/sbin/chkconfig --add slpd

%preun server
if [ $1 -eq 0 ]; then
  /sbin/service slpd stop >/dev/null 2>&1 ||:
  /sbin/chkconfig --del slpd
fi

%postun server
if [ $1 -ge 1 ]; then
  /sbin/service slpd condrestart >/dev/null 2>&1
fi


%files 
%defattr(-,root,root)
%doc AUTHORS COPYING FAQ NEWS README THANKS
%doc doc/html/IntroductionToSLP
%doc doc/html/UsersGuide
%doc doc/html/faq*
%config(noreplace) %{_sysconfdir}/slp.conf
%{_bindir}/*
%{_libdir}/lib*.so.*

%files server
%defattr(-,root,root)
%{_sbindir}/*
%config(noreplace) %{_sysconfdir}/slp.reg
%config(noreplace) %{_sysconfdir}/slp.spi
%config(noreplace) %{_initrddir}/slpd

%files devel
%defattr(-,root,root)
%doc doc/html/ProgrammersGuide 
%doc doc/rfc
%{_includedir}/*
%{_libdir}/lib*.so


%changelog
* Tue Oct 05 2004 Aurox Team <aurox@aurox.org> 0:1.2.0-10.1.aur.1


* Mon Jul 19 2004 Rex Dieter <rexdieter at sf.net> 0:1.2.0-0.fdr.4
- BR: flex

* Fri Jul 16 2004 Rex Dieter <rexdieter at sf.net> 0:1.2.0-0.fdr.3
- BR: bison

* Thu Jul 15 2004 Rex Dieter <rexdieter at sf.net> 0:1.2.0-0.fdr.2
- fix/add condrestart to init script

* Thu Jul 15 2004 Rex Dieter <rexdieter at sf.net> 0:1.2.0-0.fdr.1
- 1.2.0
- use -pie 
- don't use Requires(post,postun)

* Fri Oct 24 2003 Rex Dieter <rexdieter af sf.net> 0:1.0.11-0.fdr.7
- fix for Fedora Core
- fix description (main package does *not* include daemon and header files).

* Fri May 30 2003 Rex Dieter <rexdieter at sf.net> 0:1.0.11-0.fdr.6
- -server: Requires(preun,postun): /sbin/service
- add a few more %%doc files to base pkg.
- initscript: add (real) 'reload' action.
- initscript: use $prog instead of hardcoded slpd.

* Fri May 16 2003 Rex Dieter <rexdieter at sf.net> 0:1.0.11-0.fdr.5
- -server: fix %postun on uninstall

* Thu May 2 2003 Rex Dieter <rexdieter at sf.net> 0:1.0.11-0.fdr.4
- *really* do %%config(noreplace) slp.conf

* Thu May 1 2003 Rex Dieter <rexdieter at sf.net> 0:1.0.11-0.fdr.3
- capitalize Summary's.
- %%config(noreplace) slp.conf

* Thu May 1 2003 Rex Dieter <rexdieter at sf.net> 0:1.0.11-0.fdr.2
- docs: remove CVS files, include rfc, move ProgrammersGuide to -devel.
- improve sub-pkg descriptions.
- improve server %%preun,%%postun scripts: condrestart on upgrade, 
  suppress output of server shutdown,restarts.

* Thu May 1 2003 Rex Dieter <rexdieter at sf.net> 0:1.0.11-0.fdr.1
- specfile cleanups for fedora packaging.

* Tue Apr 29 2003 Rex Dieter <rexdieter at sf.net> 0:1.0.11-0.fdr.0
- 1.0.11 release.
- fedorize things

* Mon Feb 03 2003 Rex Dieter <rexdieter at sf.net> 0:1.0.10-1.0
- sanitize specfile
- -devel,-server subpkgs.
